﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using System.Drawing;
using System.Text;

using VidyaVitamin.Plugin;

namespace EditorPluginTest
{
	[System.ComponentModel.Composition.Export(typeof(IVVPlugin))]
	[System.ComponentModel.Composition.Export(typeof(IVVEditorPlugin))]
	public class EditorPlugin : IVVEditorPlugin
	{
		public string PluginDescription
		{
			get { return "エディタプラグインのサンプルです"; }
		}

		public IVVForm CreateVVForm(string path, ComboBox cbox, PropertyGrid pgrid)
		{
			return new SampleForm(path, cbox, pgrid);
		}

		public string PluginName
		{
			get { return "エディタプラグインサンプル"; }
		}

		public string FileExtension
		{
			get { return ".test"; }
		}

		public Image DescriptionImage
		{
			get { return Resources.agent; }
		}

		public Image PluginIcon
		{
			get { return Resources.agent_s; }
		}

		public UserControl SidePanel
		{
			get { return null; }
		}

		public static IVVUtility u = null;

		public void GetUtility(IVVUtility util)
		{
			u = util;
		}
	}
}
